MVN

org.eclipse.platform : org.eclipse.osgi

Maven & Gradle

Jun 09, 2023
157 usages
24 stars

OSGi System Bundle · %systemBundle

<dependency>
    <groupId>org.eclipse.platform</groupId>
    <artifactId>org.eclipse.osgi</artifactId>
    <version>3.18.400</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.eclipse.platform : org.eclipse.osgi to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 3.18.400

All Versions

Choose a version of org.eclipse.platform : org.eclipse.osgi to add to Maven or Gradle - All Versions:

Version Vulnerabilities Updated
3.18.x
org.eclipse.osgi-3.18.400
org.eclipse.osgi-3.18.300
org.eclipse.osgi-3.18.200
org.eclipse.osgi-3.18.100
org.eclipse.osgi-3.18.0
3.17.x
org.eclipse.osgi-3.17.200
org.eclipse.osgi-3.17.100
org.eclipse.osgi-3.17.0
3.16.x
org.eclipse.osgi-3.16.300
org.eclipse.osgi-3.16.200
org.eclipse.osgi-3.16.100
org.eclipse.osgi-3.16.0
3.15.x
org.eclipse.osgi-3.15.300
org.eclipse.osgi-3.15.200
org.eclipse.osgi-3.15.100
org.eclipse.osgi-3.15.0
3.14.x
org.eclipse.osgi-3.14.0
3.13.x
org.eclipse.osgi-3.13.300
org.eclipse.osgi-3.13.200
org.eclipse.osgi-3.13.100
org.eclipse.osgi-3.13.0
3.12.x
org.eclipse.osgi-3.12.100
org.eclipse.osgi-3.12.50
org.eclipse.osgi-3.12.0
3.11.x
org.eclipse.osgi-3.11.3
org.eclipse.osgi-3.11.2

How to add a dependency to Maven

Add the following org.eclipse.platform : org.eclipse.osgi maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.eclipse.platform</groupId>
    <artifactId>org.eclipse.osgi</artifactId>
    <version>3.18.400</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.eclipse.platform : org.eclipse.osgi gradle dependency to your build.gradle file:

implementation 'org.eclipse.platform:org.eclipse.osgi:3.18.400'

Gradle Kotlin DSL: Add the following org.eclipse.platform : org.eclipse.osgi gradle kotlin dependency to your build.gradle.kts file:

implementation("org.eclipse.platform:org.eclipse.osgi:3.18.400")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.eclipse.platform : org.eclipse.osgi sbt scala dependency to your build.sbt file:

libraryDependencies += "org.eclipse.platform" % "org.eclipse.osgi" % "3.18.400"

Advertisement

Dependencies from Group

Jun 09, 2023
244 usages
60 stars
Jun 09, 2023
157 usages
24 stars
Jun 09, 2023
142 usages
24 stars
Jun 09, 2023
135 usages
60 stars
Jun 09, 2023
87 usages
62 stars

Discover Dependencies

Dec 27, 2022
55 stars
Jul 06, 2022
69 usages
1k stars
Jan 12, 2017
66 usages
269 stars
Jun 20, 2023
976 stars
aba
Jul 14, 2020
1 usages
Nov 08, 2020
169 usages
382 stars
Aug 23, 2023
327 usages
32.7k stars
Apr 27, 2023
35 usages
268 stars
Dec 29, 2018
13 usages